base_rootfs_tarball_url: https://artifactory.zooxlabs.com/artifactory/RSI/imaging/ubuntu-20.04-server-cloudimg-amd64-root_05_18_2021.tar.xz
base_rootfs_tarball_file: ../imaging_build_directory/ubuntu_20_04_cloudimg.tar.xz
base_rootfs_sha1: f06e09c4cb77a59f0c68f3b4bdd08fe469bde8ca

os_release_name: focal
build_kernel_version_base: 5.4.0-31
build_kernel_version: "{{ build_kernel_version_base }}-generic"
zoox_kernel_version_base: "{{ live_kernel_version_base | default(build_kernel_version_base) }}"
zoox_kernel_version: "{{ live_kernel_version | default(build_kernel_version) }}"
linux_bootparams: "ro debug net.ifnames=0 biosdevname=0 usbcore.usbfs_memory_mb=1000 transparent_hugepage=never fsck.repair=yes nomdmonddf nomdmonisw"

os_service_management_executables:
  - /usr/sbin/invoke-rc.d
  - /usr/sbin/service
  - /sbin/sysctl
  - /usr/bin/systemctl
  - /etc/kernel/postinst.d/unattended-upgrades

os_service_management_packages:
  - systemd

base_ubuntu_packages_to_remove:
  - snapd
  - cloud-init
  - uwsgi
  - landscape-client
  - open-vm-tools
  - speech-dispatcher
  - apparmor
  - apparmor-utils
  - avahi-daemon
  - update-manager-core
  - byobu
  - update-notifier-common
  - rebooot-notifier

ubuntu_desktop_packages:
  - ubuntu-desktop
  - network-manager
  - net-tools
  - firefox

  # Dependencies for python 2.7's Shapely
  - libgeos-dev

  # Dependencies for python 2.7's dbus-python
  - libdbus-1-dev
  - libdbus-glib-1-dev
  - libglib2.0-dev
